Share via


Installare .NET Framework 3.5 in Windows 11, Windows 10, Windows 8.1 e Windows 8

Può essere necessario avere .NET Framework 3.5 installato per eseguire determinate app in Windows 11, Windows 10, Windows 8.1 e Windows 8. e si applicano anche alle versioni precedenti di Windows.

Installare .NET Framework 3.5 su richiesta

Se si prova a eseguire un'app che richiede .NET Framework 3.5 può essere visualizzata la finestra di dialogo di configurazione seguente. Scegliere Installa la funzionalità per abilitare .NET Framework 3.5. Per questa opzione è necessaria una connessione Internet.

Screenshot della finestra di dialogo di installazione di .NET Framework.

Perché viene visualizzato questo popup?

.NET Framework è creato da Microsoft e offre un ambiente per l'esecuzione di applicazioni. Sono disponibili diverse versioni. Molte società sviluppano app da eseguire con .NET Framework e queste app sono destinate a una versione specifica. Se viene visualizzato questo popup, si sta tentando di eseguire un'applicazione che richiede .NET Framework versione 3.5, ma tale versione non è installata nel sistema in uso.

Abilitare .NET Framework 3.5 dal Pannello di controllo

.NET Framework 3.5 può essere abilitato dal Pannello di controllo di Windows. Per questa opzione è necessaria una connessione Internet.

  1. Premere il tasto WINDOWS Screenshot del logo del tasto WINDOWS. sulla tastiera, digitare "Funzionalità Windows" e premere INVIO. Viene visualizzata la finestra di dialogo Attivazione o disattivazione delle funzionalità Windows.

  2. Selezionare la casella di controllo .NET Framework 3.5 (include .NET 2.0 e 3.0), selezionare OK e riavviare il computer, se richiesto.

    Screenshot che mostra l'installazione di .NET con il pannello di controllo.

    Non è necessario selezionare gli elementi figlio per l'attivazione HTTP di Windows Communication Foundation (WCF) e per l'attivazione non HTTP di Windows Communication Foundation (WCF), a meno che, in qualità di sviluppatore o amministratore del server, non si richieda questa funzionalità.

Scaricare il programma di installazione offline

Per le versioni di Windows precedenti a Windows 10, il programma di installazione offline di .NET Framework 10 SP1 è disponibile nella pagina di download di .NET Framework 3.5 SP1.

Risolvere i problemi relativi all'installazione di .NET Framework 3.5

Durante l'installazione può verificarsi un errore 0x800f0906, 0x800f0907, 0x800f081f o 0x800F0922. In tal caso, vedere Errore di installazione di .NET Framework 3.5: 0x800f0906, 0x800f0907 o 0x800f081f per informazioni su come risolvere questi problemi.

Se il problema di installazione persiste o se non è disponibile una connessione a Internet, è possibile tentare l'installazione usando il supporto di installazione di Windows. Per altre informazioni, vedere Deploy .NET Framework 3.5 by using Deployment Image Servicing and Management (DISM) (Distribuire .NET Framework 3.5 usando Gestione e manutenzione immagini distribuzione). Se si usa Windows 7, Windows 8.1, la versione più recente di Windows 10 o Windows 11, ma non sono disponibili i supporti di installazione, è possibile creare supporti di installazione aggiornati qui: Creare supporti di installazione per Windows. Informazioni aggiuntive sulle funzionalità di Windows 11 e Windows 10 su richiesta: Funzionalità su richiesta.

Avviso

Se non si intende usare Windows Update come origine per l'installazione di .NET Framework 3.5, è necessario assicurarsi di usare esclusivamente le origini della stessa versione del sistema operativo di Windows corrispondente. L'uso di origini da una versione diversa del sistema operativo Windows installerà una versione non corrispondente di .NET Framework 3.5 o causerà l'esito negativo dell'installazione, lasciando il sistema in uno stato non supportato e inutilizzabile.